Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITextProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITextProvider.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITextProvider.cs	(revision 4068)
@@ -1,67 +1,57 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// The signature for any item that wants text editing.
+  /// </summary>
+  public interface ITextProvider {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The signature for any item that wants text editing.
+    /// Returns the bounds of the text.
     /// </summary>
-    public interface ITextProvider
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns the bounds of the text.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Rectangle TextArea
-        {
-            get;
-        }
+    // ------------------------------------------------------------------
+    Rectangle TextArea {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the text.
-        /// </summary>
-        // ------------------------------------------------------------------
-        string Text
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the text.
+    /// </summary>
+    // ------------------------------------------------------------------
+    string Text {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the style of the text to use.
-        /// </summary>
-        // ------------------------------------------------------------------
-        ITextStyle TextStyle
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the style of the text to use.
+    /// </summary>
+    // ------------------------------------------------------------------
+    ITextStyle TextStyle {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns if text editing is allowed.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool AllowTextEditing
-        {
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns if text editing is allowed.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool AllowTextEditing {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns the number of mouse clicks required to launch the in-place
-        /// text editor.
-        /// </summary>
-        // ------------------------------------------------------------------
-        int EditTextClicks
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns the number of mouse clicks required to launch the in-place
+    /// text editor.
+    /// </summary>
+    // ------------------------------------------------------------------
+    int EditTextClicks {
+      get;
+      set;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITextStyle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITextStyle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITextStyle.cs	(revision 4068)
@@ -1,5 +1,2 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 using System.Runtime.Serialization;
@@ -7,162 +4,149 @@
 using ToolBox.Formatting;
 
-namespace Netron.Diagramming.Core
-{
-    public interface ITextStyle : ISerializable, IVersion
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the text style is changed.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event TextStyleChangedEventHandler TextStyleChanged;
+namespace Netron.Diagramming.Core {
+  public interface ITextStyle : ISerializable, IVersion {
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the text style is changed.
+    /// </summary>
+    // ------------------------------------------------------------------
+    event TextStyleChangedEventHandler TextStyleChanged;
 
-        #region Properties
+    #region Properties
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the number of decimal places to use when a TextFormat
-        /// other than 'String' is specified.
-        /// </summary>
-        // ------------------------------------------------------------------
-        int DecimalPlaces
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the number of decimal places to use when a TextFormat
+    /// other than 'String' is specified.
+    /// </summary>
+    // ------------------------------------------------------------------
+    int DecimalPlaces {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the formatting to apply to the text.
-        /// </summary>
-        // ------------------------------------------------------------------
-        TextFormat TextFormat
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the formatting to apply to the text.
+    /// </summary>
+    // ------------------------------------------------------------------
+    TextFormat TextFormat {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the format of the string.
-        /// </summary>
-        // ------------------------------------------------------------------
-        StringFormat StringFormat
-        {
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the format of the string.
+    /// </summary>
+    // ------------------------------------------------------------------
+    StringFormat StringFormat {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the horizontal alignment of the text.
-        /// </summary>
-        // ------------------------------------------------------------------
-        StringAlignment HorizontalAlignment
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the horizontal alignment of the text.
+    /// </summary>
+    // ------------------------------------------------------------------
+    StringAlignment HorizontalAlignment {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the vertical alignment of the text.
-        /// </summary>
-        // ------------------------------------------------------------------
-        StringAlignment VerticalAlignment
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the vertical alignment of the text.
+    /// </summary>
+    // ------------------------------------------------------------------
+    StringAlignment VerticalAlignment {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the text's font.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Font Font
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the text's font.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Font Font {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the text's font size.
-        /// </summary>
-        // ------------------------------------------------------------------
-        float FontSize
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the text's font size.
+    /// </summary>
+    // ------------------------------------------------------------------
+    float FontSize {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the text's color.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Color FontColor
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the text's color.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Color FontColor {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if the text is underlined.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool IsUnderlined
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if the text is underlined.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool IsUnderlined {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if the text is bold.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool IsBold
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if the text is bold.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool IsBold {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if the text is italic.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool IsItalic
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if the text is italic.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool IsItalic {
+      get;
+      set;
+    }
 
-        #endregion
+    #endregion
 
-        #region Methods
+    #region Methods
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the brush that's used to draw our text to a GDI+ graphics
-        /// surface.
-        /// </summary>
-        /// <returns>Brush</returns>
-        // ------------------------------------------------------------------
-        Brush GetBrush();
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the brush that's used to draw our text to a GDI+ graphics
+    /// surface.
+    /// </summary>
+    /// <returns>Brush</returns>
+    // ------------------------------------------------------------------
+    Brush GetBrush();
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Applies the formatting specified by TextFormatting to the text
-        /// specified.
-        /// </summary>
-        /// <param name="text">string: The un-formatted text.</param>
-        /// <returns>string: The formatted text.</returns>
-        // ------------------------------------------------------------------
-        string GetFormattedText(string text);
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Applies the formatting specified by TextFormatting to the text
+    /// specified.
+    /// </summary>
+    /// <param name="text">string: The un-formatted text.</param>
+    /// <returns>string: The formatted text.</returns>
+    // ------------------------------------------------------------------
+    string GetFormattedText(string text);
 
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITool.cs	(revision 4068)
@@ -1,123 +1,119 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-/*    
-    http://www.theserverside.net/blogs/showblog.tss?id=pluginArchitectures
-    http://www.martinfowler.com/articles/injection.html
-    http://www.codeproject.com/csharp/components.asp
- */
+namespace Netron.Diagramming.Core {
+  /*    
+      http://www.theserverside.net/blogs/showblog.tss?id=pluginArchitectures
+      http://www.martinfowler.com/articles/injection.html
+      http://www.codeproject.com/csharp/components.asp
+   */
+  /// <summary>
+  /// Describes a tool's members. <seealso cref="AbstractTool"/>
+  /// </summary>
+  public interface ITool : IServiceProvider {
+    #region Events
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Describes a tool's members. <seealso cref="AbstractTool"/>
+    /// Occurs when this tool is deactivated.
     /// </summary>
-    public interface ITool : IServiceProvider
-    {
-        #region Events
+    // ------------------------------------------------------------------
+    event EventHandler<ToolEventArgs> OnToolDeactivate;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when this tool is deactivated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<ToolEventArgs> OnToolDeactivate;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when this tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    event EventHandler<ToolEventArgs> OnToolActivate;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when this tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<ToolEventArgs> OnToolActivate;
+    #endregion
 
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets a value indicating whether this <see cref="T:ITool"/> 
+    /// is enabled.
+    /// </summary>
+    /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
+    // ------------------------------------------------------------------
+    bool Enabled { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets a value indicating whether this <see cref="T:ITool"/> 
-        /// is enabled.
-        /// </summary>
-        /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
-        // ------------------------------------------------------------------
-        bool Enabled { get; set; }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the name of the tool.
+    /// </summary>
+    /// <value>The name.</value>
+    // ------------------------------------------------------------------
+    string Name { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the name of the tool.
-        /// </summary>
-        /// <value>The name.</value>
-        // ------------------------------------------------------------------
-        string Name { get; set; }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets a value indicating whether this tool is active. If 
+    /// true the tool is actually performing work via the various mouse 
+    /// or keyboard event handlers.
+    /// If <see cref="Enabled"/> is false the tool can never be active. 
+    /// Furthermore, if the tool <see cref="IsSuspended"/> it means 
+    /// another tool has suspended the activity of this tool.
+    /// </summary>
+    /// <value><c>true</c> if this instance is active; otherwise, 
+    /// <c>false</c>.</value>
+    // ------------------------------------------------------------------
+    bool IsActive { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets a value indicating whether this tool is active. If 
-        /// true the tool is actually performing work via the various mouse 
-        /// or keyboard event handlers.
-        /// If <see cref="Enabled"/> is false the tool can never be active. 
-        /// Furthermore, if the tool <see cref="IsSuspended"/> it means 
-        /// another tool has suspended the activity of this tool.
-        /// </summary>
-        /// <value><c>true</c> if this instance is active; otherwise, 
-        /// <c>false</c>.</value>
-        // ------------------------------------------------------------------
-        bool IsActive { get; set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets a value indicating whether this tool can activated.
+    /// </summary>
+    /// <value>
+    /// 	<c>true</c> if this instance can activate; otherwise, <c>false</c>.
+    /// </value>
+    // ------------------------------------------------------------------
+    bool CanActivate { get; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets a value indicating whether this tool can activated.
-        /// </summary>
-        /// <value>
-        /// 	<c>true</c> if this instance can activate; otherwise, <c>false</c>.
-        /// </value>
-        // ------------------------------------------------------------------
-        bool CanActivate { get; }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the controller.
+    /// </summary>
+    /// <value>The controller.</value>
+    // ------------------------------------------------------------------
+    IController Controller { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the controller.
-        /// </summary>
-        /// <value>The controller.</value>
-        // ------------------------------------------------------------------
-        IController Controller { get; set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets a value indicating whether this instance is suspended.
+    /// A tool enters in a suspended mode when another tool has been 
+    /// activated and disallows another to continue its normal activity. 
+    /// For example, the <see cref="MoveTool"/> and 
+    /// <see cref="SelectionTool"/> are utually exclusive and similarly 
+    /// for the drawing tools and the selection tool. 
+    /// <para>This suspended state is independent of the 
+    /// <see cref="IsActive"/> and the <see cref="Enabled"/> states.</para>
+    /// </summary>
+    /// <value>
+    /// <c>true</c> if this instance is suspended; otherwise, <c>false</c>.
+    /// </value>
+    // ------------------------------------------------------------------
+    bool IsSuspended { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets a value indicating whether this instance is suspended.
-        /// A tool enters in a suspended mode when another tool has been 
-        /// activated and disallows another to continue its normal activity. 
-        /// For example, the <see cref="MoveTool"/> and 
-        /// <see cref="SelectionTool"/> are utually exclusive and similarly 
-        /// for the drawing tools and the selection tool. 
-        /// <para>This suspended state is independent of the 
-        /// <see cref="IsActive"/> and the <see cref="Enabled"/> states.</para>
-        /// </summary>
-        /// <value>
-        /// <c>true</c> if this instance is suspended; otherwise, <c>false</c>.
-        /// </value>
-        // ------------------------------------------------------------------
-        bool IsSuspended { get; set;}
+    #endregion
 
-        #endregion
+    #region Methods
 
-        #region Methods
+    /// <summary>
+    /// Deactivates the tool.
+    /// </summary>
+    /// <returns></returns>
+    bool DeactivateTool();
 
-        /// <summary>
-        /// Deactivates the tool.
-        /// </summary>
-        /// <returns></returns>
-        bool DeactivateTool();
+    /// <summary>
+    /// Activates the tool.
+    /// </summary>
+    /// <returns></returns>
+    bool ActivateTool();
 
-        /// <summary>
-        /// Activates the tool.
-        /// </summary>
-        /// <returns></returns>
-        bool ActivateTool();
+    #endregion
+  }
 
-        #endregion
-    }
 
-    
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITracker.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITracker.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ITracker.cs	(revision 4068)
@@ -1,33 +1,28 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// The tracker tracks the resize and move of an entity or a group of entities.
+  /// </summary>
+  public interface ITracker : IPaintable {
+
+
     /// <summary>
-    /// The tracker tracks the resize and move of an entity or a group of entities.
+    /// Returns the relative coordinate of the grip-point hit, if any, of the tracker.
     /// </summary>
-    public interface ITracker : IPaintable
-    {
+    /// <param name="p"></param>
+    /// <returns></returns>
+    Point Hit(Point p);
 
-       
-        /// <summary>
-        /// Returns the relative coordinate of the grip-point hit, if any, of the tracker.
-        /// </summary>
-        /// <param name="p"></param>
-        /// <returns></returns>
-        Point Hit(Point p);
+    /// <summary>
+    /// Maps the tracker specified rectangle.
+    /// </summary>
+    /// <param name="rectangle">The rectangle.</param>
+    void Transform(Rectangle rectangle);
 
-        /// <summary>
-        /// Maps the tracker specified rectangle.
-        /// </summary>
-        /// <param name="rectangle">The rectangle.</param>
-        void Transform(Rectangle rectangle);
-
-        /// <summary>
-        /// Gets or sets a value indicating whether to show the resizing handles.
-        /// </summary>
-        /// <value><c>true</c> if [show handles]; otherwise, <c>false</c>.</value>
-        bool ShowHandles { get; set;}
-    }
+    /// <summary>
+    /// Gets or sets a value indicating whether to show the resizing handles.
+    /// </summary>
+    /// <value><c>true</c> if [show handles]; otherwise, <c>false</c>.</value>
+    bool ShowHandles { get; set; }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IUndoSupport.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IUndoSupport.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IUndoSupport.cs	(revision 4068)
@@ -1,22 +1,19 @@
-using System;
 
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// Interface that your application classes can implement
-	/// in order to perform the actual undo/redo functionality.	
-	/// </summary>
-	public interface IUndoSupport
-	{
-        /// <summary>
-        /// Undo of the last action
-        /// </summary>
-        /// <remarks>Calling this on a class level will call the Undo method of the last ICommand in the stack.</remarks>
-		void Undo();
-        /// <summary>
-        /// Performs the actual action or redo in case the actions was undoe before
-        /// </summary>
-        /// <remarks>Calling this on a class level will call the Redo method of the last ICommand in the stack.</remarks>
-		void Redo();
-	}
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Interface that your application classes can implement
+  /// in order to perform the actual undo/redo functionality.	
+  /// </summary>
+  public interface IUndoSupport {
+    /// <summary>
+    /// Undo of the last action
+    /// </summary>
+    /// <remarks>Calling this on a class level will call the Undo method of the last ICommand in the stack.</remarks>
+    void Undo();
+    /// <summary>
+    /// Performs the actual action or redo in case the actions was undoe before
+    /// </summary>
+    /// <remarks>Calling this on a class level will call the Redo method of the last ICommand in the stack.</remarks>
+    void Redo();
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IVersion.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IVersion.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IVersion.cs	(revision 4068)
@@ -1,19 +1,13 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    public interface IVersion
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        double Version
-        {
-            get;
-        }
+namespace Netron.Diagramming.Core {
+  public interface IVersion {
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    double Version {
+      get;
     }
+  }
 }
